Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKData Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKData ()

## Public Attributes
RVNGInputStreamPtr_t | m_stream
boost::optional< std::string > | m_displayName
std::string | m_mimeType

## Constructor & Destructor Documentation

## ◆ IWORKData()

libetonyek::IWORKData::IWORKData | ( |  | ) |

## Member Data Documentation

## ◆ m_displayName

boost::optional<std::string> libetonyek::IWORKData::m_displayName

## ◆ m_mimeType

std::string libetonyek::IWORKData::m_mimeType

## ◆ m_stream

RVNGInputStreamPtr_t libetonyek::IWORKData::m_stream

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp